package org.seasar.struts.validator;

/**
 * @author Satoshi Kimura
 */
public interface Validator {
    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int maxLength();

    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int minLength();

    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int maxByteLength();

    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int minByteLength();

    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int maximum();

    /**
     * @org.codehaus.backport175.DefaultValue (-1)
     */
    int minimum();

    /**
     * @org.codehaus.backport175.DefaultValue ("")
     */
    String pattern();
}
